import std.stdio;

void print(double[string] map)
{
    foreach (i, e; map)
    {
        writefln("array['%s'] = %s;", i, e);
    }
}

void main()
{
    float[] arr = [ 1.0, 2.5, 4.0 ];

    foreach (ref float elem; arr)
    {
        elem *= 2; // Без про­блем
    }

    writeln(arr);

    print(["Луна": 1.283, "Солнце": 499.307, "Проксима Центавра": 133_814_298.759]);
}
